diff --git a/plugins/dell/fu-plugin-dell.c b/plugins/dell/fu-plugin-dell.c
index 56e2003f2fd..a5e09a65549 100644
--- a/plugins/dell/fu-plugin-dell.c
+++ b/plugins/dell/fu-plugin-dell.c
@@ -169,6 +169,7 @@ fu_plugin_device_free (FuPluginDockItem *item)
 {
 	g_object_unref (item->device);
 	g_object_unref (item->plugin);
+	g_free (item);
 }
 
 static AsVersionParseFlag
